package com.red.circle.game.fruit.core.lifecycle;

import com.red.circle.game.fruit.core.lifecyclev2.IRouletteControlLifeCycleV2;
import com.red.circle.game.fruit.core.lifecyclev2.RouletteControlLifeCycleImplV2;
import com.red.circle.game.fruit.core.lifecyclev2.RouletteControlV2;
import org.junit.Test;

/**
 * @author pengliang on 2023/12/28
 */
public class RouletteControlV2Test {


  @Test
  public void test() throws InterruptedException {
    IRouletteControlLifeCycleV2 controlLifeCycle = new RouletteControlLifeCycleImplV2();
    RouletteControlV2 controlV2 = new RouletteControlV2(controlLifeCycle);
    controlV2.execute();

    Thread.sleep(100*1000000);
  }

}
